<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <SlpContainer>
    <section class="customer-logos">
      <SlpTypography
        tag="h3"
        :variant="data.text_variant || 'heading5'"
        class="slp-my-24"
        >{{ data.text ? data.text : 'Trusted By' }}
      </SlpTypography>
      <div class="customer-logos__companies">
        <a
          v-for="company in data.companies"
          :key="company.alt"
          :href="company.url"
          :data-ga-name="company.alt"
          data-ga-location="body"
          target="_blank"
          :aria-label="company.link_label ? company.link_label : null"
        >
          <img
            class="customer-logos__company-icon"
            :src="company.image_url"
            :alt="company.alt ? company.alt : 'company logo'"
            loading="lazy"
          />
        </a>
      </div>
    </section>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.customer-logos {
  padding-bottom: $spacing-48;
  display: flex;
  flex-direction: row;
  gap: 40px;
  @media (max-width: $breakpoint-md) {
    flex-direction: column;
    gap: 0;
    align-items: center;
    h5 {
      width: 100%;
      text-align: center;
    }
    .customer-logos__companies {
      a {
        width: 100px;
      }
    }

    .customer-logos__title-column {
      margin-right: 0;
      margin-bottom: $spacing-24;
    }
  }

  &__companies {
    display: flex;
    flex: 1;
    align-items: center;
    position: relative;
    justify-content: space-between;
    @media (max-width: $breakpoint-lg) {
      flex-wrap: wrap;
      justify-content: center;
      gap: 32px;
    }
    a {
      max-width: 140px;
      text-align: center;
      width: 100%;
      margin: $spacing-8 $spacing-24 $spacing-8 $spacing-8;

      @media (min-width: 1008px) {
        &:first-of-type {
          margin-left: $spacing-16;
        }
      }

      .customer-logos__company-icon {
        max-width: 100%;
        max-height: 50px;
      }
    }

    .customer-logos__company-icon:hover {
      transform: scale(1.05);
      transition: all 0.2s ease-in-out;
    }
  }

  @media (max-width: 382px) {
    .customer-logos__companies a {
      width: 90px;
    }
  }
}
</style>
